Subject: Re: [PATCH v2 14/19] tree-diff: rework diff_tree interface to be sha1 based

From: Junio C Hamano <[email-masked]>
Date: Fri, 28 Mar 2014 12:27:22 -0700

Johannes Sixt <[email-masked]> writes:

>> My reading of git-send-email is:
>> 
>>  * "$time = time - scalar $#files" prepares the initial "timestamp",
>>    so that running two "git send-email" back to back will give
>>    timestamps to the series sent out by the first invocation that
>>    are older than the ones the second series will get;

A completely irrelevant tangent, but I was being an idiot here.  The
"-scaler #$files" is not about two send-email running back to back.
A second invocation that sends out a long series will start its
timestamp #$files in the past, that will overlap with the timestamp
of the last one in the first invocation.  And that is not what the
code attempts to address.  It wants to merely avoid timestamps from
the future.